> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/channels/event-sink/faq.md).

# FAQ

### What does the payload look like?

When an event is sent using `edgetag('tag', ...)` the event payload will have the following structure:

```typescript
type TagPayload = {
    action: 'tag'
    payload: EventPayload
    user: {
        userId: string
        session?: string
        email?: string
        phone?: string
        firstName?: string
        lastName?: string
        // ... additional user properties
    }
    query: Record<string, string>
    customData: Record<string, string>
}

type EventPayload = {
    eventId: string
    eventName: string
    timestamp: number
    pageUrl: string
    pageTitle: string
    userAgent: string
    data: {
      orderId?: string // present if the event is a conversion event
      contents?: ContentItem[] // present if the event contains items in the payload
    }
    // ... additional event properties
}
```

When user data is associated with the user using the `edgetag('user', ...)` or `edgetag('data', ...)` calls, the payload will be slightly different:

```typescript
type UserPayload = {
    action: 'user'
    payload: UserPayload
    user: {
        userId: string
        session?: string
    }
}

type UserPayload = {
    timestamp: number
    pageUrl: string
    pageTitle: string
    userAgent: string
    email?: string
    phone?: string
    firstName?: string
    lastName?: string
    // ... additional user and custom properties
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.edgetag.io/channels/event-sink/faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
